#include "stretch.h"

Stretch::Stretch(Object *parent) : Roster(parent) {
	cur_mult = 1.0f;
}

void Stretch::stretch(double mult) {
	float ch;

	ch = (1.0f / cur_mult) * mult;
	cur_mult = mult;

	Link *l;
	links.begin();
	while(l = links.get()) {
		l->rl *= ch;
	}
}