#define NULL 0

#include <windows.h>
#include <stdio.h>

int handleMessages(MSG &msg) {
	if (PeekMessage(&msg,NULL,0,0,PM_REMOVE)) {				// Is There A Message Waiting?
		if (msg.message==WM_QUIT) {							// Have We Received A Quit Message?
			return 2;										// If So done=TRUE
		}
		else {												// If Not, Deal With Window Messages
			TranslateMessage(&msg);							// Translate The Message
			DispatchMessage(&msg);							// Dispatch The Message
			return 1;
		}
	}
	else {
		return 0;
	}
}


/*******  CHANGE THIS  *******/
#include "smashy.h"
/*******  CHANGE THIS  *******/


int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
	MSG msg;
	int msgval = 0;

	freopen("debug.txt", "w", stdout);
	setbuf(stderr, NULL);


	/*******  CHANGE THIS  *******/
	Game *game = new Smashy(hInstance);
	/*******  CHANGE THIS  *******/


	while(msgval != 2 && !game->quit) {
		msgval = handleMessages(msg);
		while(msgval == 1) msgval = handleMessages(msg);

		game->stepFunc();
	}

	game->deactivateDisplay();

	return (msg.wParam);
}